#!/bin/bash

RFD_PATH=/home/iwe34/software/RFdiffusion
RFD_SCRIPT=~/software/RFdiffusion/scripts/run_inference.py

# Basic execution - an unconditional monomer
$RFD_SCRIPT 'contigmap.contigs=[150-150]' inference.output_prefix=./out_monomer/monomer_gen inference.num_designs=5

# Binder design
# base
$RFD_SCRIPT inference.input_pdb=../../input_files/insulin_target.pdb inference.deterministic=True 'contigmap.contigs=[A1-150/0 50-80]' 'ppi.hotspot_res=[A59,A83,A91]' inference.num_designs=2 inference.output_prefix=./base/binder_base
# beta
$RFD_SCRIPT inference.input_pdb=../../input_files/insulin_target.pdb inference.deterministic=True 'contigmap.contigs=[A1-150/0 50-80]' 'ppi.hotspot_res=[A59,A83,A91]' inference.num_designs=2 inference.output_prefix=./beta/binder_beta inference.ckpt_override_path=$RFD_PATH/models/Complex_beta_ckpt.pt

# Remodel
$RFD_SCRIPT inference.input_pdb=../out_binder/beta/binder_beta_0.pdb 'contigmap.contigs=[A1-62/6-12/A70-77/0 B78-227]' inference.output_prefix=./remodel_loop inference.num_designs=5

# SCAFFOLD
$RFD_SCRIPT inference.input_pdb=../../input_files/8U0B.pdb 'contigmap.contigs=[39-39/C96-107/20-50/0 H1-131/0 L2-119/0]' inference.output_prefix=./scaffold inference.num_designs=2